import { Observable } from './vendor/rxjs';
import PublicInterface from '../rx-postmessenger.d';
import IEventMap = PublicInterface.EventMap;
import IMessenger = PublicInterface.Messenger;
import IStatic = PublicInterface.Static;
/**
 * returns the active Rx.Observable implementation. Used by the messenger class to
 * obtain an Observable constructor reference at runtime.
 */
export declare function getObservable(): typeof Observable;
/**
 * Sets given Rx.Observable implementation as the active implementation for new messengers.
 * Any messenger created hereafter will use this implementation.
 */
export declare function useObservable<T extends typeof Observable>(newImplementation: T): void;
export declare function connect<MAP extends IEventMap = any>(remoteWindow: Window, remoteOrigin: string): IMessenger<MAP>;
declare const defaultNamespace: IStatic;
export default defaultNamespace;
